import java.util.*;
import java.io.*;

/**
 * Created by IntelliJ IDEA.
 * User: m09cke
 * Date: 21.10.2009
 * Time: 17:10:40
 * To change this template use File | Settings | File Templates.
 */
public class Main {
    public static void main(String[] args)throws FileNotFoundException{
        Scanner in = new Scanner(new File("count.in"));
        PrintWriter out = new PrintWriter("count.out");
        /*while (in.hasNext()){
            String s=in.next();
            out.println(s);
        } */
        String s = in.next();
        String v = in.next();
        int k=0;
        for (int i=0;i<s.length()-v.length()+1;i++){
            boolean t=true;
            for (int j=0;j<v.length();j++){
                if (s.charAt(i+j)!=v.charAt(j)) t=false;
            }
            if (t==true)k++;
        }
        out.print(k);
        out.close();
    }
}
